Bug 208691 - Traceback when opening glade file
Traceback when opening glade file
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gazpacho (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 05:09 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-17 18:30:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The glade file that causes this issue. (27.63 KB, application/x-glade)
2006-09-30 05:09 EDT, Luke Macken
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 386983 None None None Never

  None (edit)
Description Luke Macken 2006-09-30 05:09:55 EDT
Description of problem:
I'm getting the following traceback when opening a glade file:

  File /usr/lib/python2.4/site-packages/gazpacho/app/app.py, line 990, in _open_cb
    self.open_project(filename)
  File /usr/lib/python2.4/site-packages/gazpacho/app/app.py, line 681, in
open_project
    project = Project.open(path, self)
  File /usr/lib/python2.4/site-packages/gazpacho/project.py, line 242, in open
    loader = GazpachoObjectBuilder(filename=path, buffer=buffer, app=app)
  File /usr/lib/python2.4/site-packages/gazpacho/project.py, line 45, in __init__
    ObjectBuilder.__init__(self, **kwargs)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/loader.py, line 359, in
__init__
    self._parser.parse_file(filename)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/loader.py, line 155, in
parse_file
    self._parser.ParseFile(fp)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/loader.py, line 183, in
_handle_endelement
    func(item)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/loader.py, line 231, in
_end_widget
    self._build_phase2(obj)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/loader.py, line 731, in
_build_phase2
    self._pack_child(adapter, gobj, child)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/loader.py, line 770, in
_pack_child
    child.packing_properties)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/custom.py, line 562, in add
    self._set_child_properties(notebook, child, properties)
  File /usr/lib/python2.4/site-packages/gazpacho/loader/custom.py, line 407, in
_set_child_properties
    container.child_set_property(child, name, value)
TypeError: first argument must be a child
T


Version-Release number of selected component (if applicable):
gazpacho-0.6.6-1.fc6
Comment 1 Luke Macken 2006-09-30 05:09:55 EDT
Created attachment 137467 [details]
The glade file that causes this issue.
Comment 2 Konstantin Ryabitsev 2006-10-01 11:47:28 EDT
I'm accepting this, but I'm about to leave on a 3-week trip. If this is an
urgent matter for you, please contact the upstream Gazpacho list for support.

http://www.sicem.biz/mailman/listinfo/gazpacho
Comment 3 Konstantin Ryabitsev 2006-12-17 18:30:42 EST
Passing this to http://bugzilla.gnome.org/show_bug.cgi?id=386983

Note You need to log in before you can comment on or make changes to this bug.